## python-uhashring 1.2

=== Makefile ===
qa:
	isort -y && black . && flake8

=== debian/changelog ===
python-uhashring (1.2-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Sep 2020 14:59:13 +0200

python-uhashring (1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #969963)

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 13:58:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/ultrabug/uhashring
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp


ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		PYTHONPATH=. python$$pyvers -m pytest ; \
	done
endif


override_dh_auto_test:
	echo "Do nothing..."

## python-uhashring 2.1

=== Makefile ===
qa:
	isort --profile black . && black . && flake8

=== debian/changelog ===
python-uhashring (2.1-3) unstable; urgency=medium

  * Add Fix-test_distribution-to-be-deterministic.patch (Closes: #1033426).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Apr 2023 08:17:43 +0200

python-uhashring (2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:36:45 +0200

python-uhashring (2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 11:51:46 +0200

=== debian/control ===
Source: python-uhashring
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-memcache,
 python3-pytest,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-uhashring
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-uhashring.git
Homepage: https://github.com/ultrabug/uhashring

Package: python3-uhashring
Architecture: all
Depends:
 python3-memcache,
 ${misc:Depends},
 ${python3:Depends},
Description: full featured consistent hashing python library compatible with ketama
 Uhashring implements consistent hashing in pure Python.
 .
 Consistent hashing is mostly used on distributed systems/caches/databases as
 this avoid the total reshuffling of your key-node mappings when adding or
 removing a node in your ring (called continuum on libketama). More information
 and det ails about this can be found in the *literature* section.
 .
 This full featured implementation offers:
  * a lot of convenient methods to use your consistent hash ring in real world
    applications.
  * simple integration with other libs such as memcache through monkey
    patching.
  * a full ketama compatibility if you need to use it.
  * all the missing functions in the libketama C python binding (which is not
    even available on pypi) for ketama users.
  * possibility to use your own weight and hash functions if you don't care
    about the ketama compatibility.
  * Instance-oriented usage, so you can use your consistent hash ring object
    directly in your code (see advanced usage).
  * tests of implementation, key distribution and ketama compatibility.
 .
 Per node weight is also supported and will affect the nodes distribution on
 the ring.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/uhashring/uhashring-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-uhashring 2.3

=== Makefile ===
qa:
	hatch run style:check

build:
	hatch build

clean:
	hatch clean

release: clean qa test build
	hatch publish -u __token__

test:
	hatch run +py=py310 test:test

=== debian/changelog ===
python-uhashring (2.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 23:02:04 +0200

python-uhashring (2.3-1) experimental; urgency=medium

  * New upstream release.
  * Drop Fix-test_distribution-to-be-deterministic.patch applied upstream.
  * Switch to pybuild and poetry.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 15:52:18 +0200

python-uhashring (2.1-4) unstable; urgency=medium

  * Cleans better (Closes: #1047171).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 10:28:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,11 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
+ python3-poetry-core,
  python3-setuptools,
 Build-Depends-Indep:
  python3-memcache,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/ultrabug/uhashring
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=uhashring

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .stestr .pytest_cache .pybuild *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

## python-uhashring 2.4

=== debian/changelog ===
python-uhashring (2.4-1) experimental; urgency=medium

  * New upstream release.
  * Added myself in copyright and uploaders.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Sat, 28 Feb 2026 19:38:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Guillaume Boutry <guillaume.boutry@canonical.com>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
